> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.staple.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.staple.ai/_mcp/server.

# Get Vendors List

GET https://api.staple.io/v2/vendors/queue/{queueId}

This endpoint retrieves the vendors information based on the specified queue ID.

Reference: https://docs.staple.ai/api-reference/v2/vendor/get-vendors-list

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: v2
  version: 1.0.0
paths:
  /v2/vendors/queue/{queueId}:
    get:
      operationId: getVendorsList
      summary: Get Vendors List
      description: >-
        This endpoint retrieves the vendors information based on the specified
        queue ID.
      tags:
        - vendor
      parameters:
        - name: queueId
          in: path
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key issued by Staple.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Vendor_getVendorsList_Response_200'
servers:
  - url: https://api.staple.io
    description: https://api.staple.io
components:
  schemas:
    Vendor_getVendorsList_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Vendor_getVendorsList_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key issued by Staple.
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT obtained from the login endpoint.

```

## Examples



**Response**

```json
{
  "vendorMasterList": [
    {
      "account_name": "NEW VENDOR 01",
      "account_number": "VD10000",
      "address": null,
      "bank": null,
      "credit_terms": null,
      "email": null,
      "id": 1122301,
      "iso_country_code": null,
      "label1": null,
      "label2": null,
      "label3": null,
      "label4": null,
      "label5": null,
      "ref_id": 84,
      "telephone_number": null,
      "vendor_code": null,
      "vendor_default_currency": null,
      "vendor_gst_number": null,
      "vendor_name": "NEW VENDOR 01",
      "vendor_name_language": "english"
    },
    {
      "account_name": "NEW VENDOR 02",
      "account_number": "VD20000",
      "address": null,
      "bank": null,
      "credit_terms": null,
      "email": null,
      "id": 1122302,
      "iso_country_code": null,
      "label1": null,
      "label2": null,
      "label3": null,
      "label4": null,
      "label5": null,
      "ref_id": 84,
      "telephone_number": null,
      "vendor_code": null,
      "vendor_default_currency": null,
      "vendor_gst_number": null,
      "vendor_name": "NEW VENDOR 02",
      "vendor_name_language": "english"
    }
  ]
}
```

**SDK Code**

```python Get Vendors List
import requests

url = "https://api.staple.io/v2/vendors/queue/queueId"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Vendors List
const url = 'https://api.staple.io/v2/vendors/queue/queueId';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Vendors List
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.staple.io/v2/vendors/queue/queueId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Vendors List
require 'uri'
require 'net/http'

url = URI("https://api.staple.io/v2/vendors/queue/queueId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Get Vendors List
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.staple.io/v2/vendors/queue/queueId")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Get Vendors List
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.staple.io/v2/vendors/queue/queueId', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Get Vendors List
using RestSharp;

var client = new RestClient("https://api.staple.io/v2/vendors/queue/queueId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Get Vendors List
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.staple.io/v2/vendors/queue/queueId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```